Package org.zkoss.bind.impl

## Class Path

- java.lang.Object
- - org.zkoss.bind.impl.Path

-     public class Path
      extends java.lang.Object

  Class that holding a dot series path and process Form field name.
  Since:
    6.0.0
  Author:
    henrichen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Path()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(java.lang.String origin, java.lang.String evaled)` |
    `java.lang.String` | `getAccessFieldName()` | Returns the path as a String for Form access purpose.
    `java.lang.String` | `getTrackBasePath()` | Returns the base path of this dot series path for tracking purpose.
    `java.lang.String` | `getTrackFieldName()` | Returns the path as a String for tracking purpose.
    `java.util.List<java.lang.String>` | `getTrackFieldsList()` | Returns the path as a List of field names.
    `java.lang.String` | `getTrackProperty()` | Returns the last field name of this dot series path for tracking purpose.
    `int` | `size()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Path

          public Path()

  - ### Method Detail

    - #### add

          public void add​(java.lang.String origin,
                          java.lang.String evaled)

    - #### size

          public int size()

    - #### getAccessFieldName

          public java.lang.String getAccessFieldName()

      Returns the path as a String for Form access purpose. This implementation evaluate indirect bracket to final field name.
      Returns:
        the path as a String for Form access purpose.

    - #### getTrackFieldName

          public java.lang.String getTrackFieldName()

      Returns the path as a String for tracking purpose.
      Returns:
        the path as a String for tracking purpose.

    - #### getTrackFieldsList

          public java.util.List<java.lang.String> getTrackFieldsList()

      Returns the path as a List of field names.
      Returns:
        the path as a List of field names.

    - #### getTrackBasePath

          public java.lang.String getTrackBasePath()

      Returns the base path of this dot series path for tracking purpose. ex, base path of 'vm.person.address.fullstreet' will be 'vm.person.address' so, a 'fullstreet' depends-on 'city' in address will add that 'vm.person.address.fullstreet' depends on 'vm.person.address'.'city'
      Returns:
        the path before the last dot
      See Also:
        `getTrackProperty()`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getTrackProperty

          public java.lang.String getTrackProperty()

      Returns the last field name of this dot series path for tracking purpose.
      Returns:
        the last field name of this dot series path for tracking purpose.